GlueGen: com.jogamp.gluegen.SymbolFilter Interface Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.SymbolFilter Interface Reference

Provides a mechanism by which the GlueEmitter can look at all of the #defines, enum values and function symbols and perform certain filtering and processing which requires all of them to be visible simultaneously. More...

Inheritance diagram for com.jogamp.gluegen.SymbolFilter:
Collaboration diagram for com.jogamp.gluegen.SymbolFilter:

## Public Member Functions

void | filterSymbols (List< ConstantDefinition > constants, List< FunctionSymbol > functions)
| Filters the given constant and function symbols. More...
List< ConstantDefinition > | getConstants ()
| Returns the filtered list of constants. More...
List< FunctionSymbol > | getFunctions ()
| Returns the filtered list of function symbols. More...

## Detailed Description

Provides a mechanism by which the GlueEmitter can look at all of the #defines, enum values and function symbols and perform certain filtering and processing which requires all of them to be visible simultaneously.

Definition at line 45 of file SymbolFilter.java.

## Member Function Documentation

## ◆ filterSymbols()

void com.jogamp.gluegen.SymbolFilter.filterSymbols | ( | List< ConstantDefinition > | constants,
|  | List< FunctionSymbol > | functions
| ) |  |

Filters the given constant and function symbols.

The caller will query the SymbolFilter for its resulting constant and function symbol lists after this routine returns.

Parameters

  defines | a list of `Define` objects
  functions | a list of `FunctionSymbol` objects

Here is the caller graph for this function:

## ◆ getConstants()

List< ConstantDefinition > com.jogamp.gluegen.SymbolFilter.getConstants | ( |  | ) |

Returns the filtered list of constants.

This method may return a new list, the original list, or null, in which case the original list will be used.

Here is the caller graph for this function:

## ◆ getFunctions()

List< FunctionSymbol > com.jogamp.gluegen.SymbolFilter.getFunctions | ( |  | ) |

Returns the filtered list of function symbols.

This method may return a new list, the original list, or null, in which case the original list will be used.

Here is the caller graph for this function:

The documentation for this interface was generated from the following file:

- src/java/com/jogamp/gluegen/SymbolFilter.java